{
  description = "nixfig, nix configuration";

  inputs.nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";

  outputs = {
    self,
    nixpkgs,
  }: let
    system = "x86_64-linux";
    pkgs = nixpkgs.legacyPackages.${system};
    nixgen = pkgs.buildGoModule {
      pname = "nixgen";
      version = self.rev or "dev";
      src = ./.;
      vendorHash = pkgs.lib.fileContents ./go.mod.sri;
      doCheck = false;
      meta = with pkgs.lib; {
        description = "nixfig, nix configuration";
        homepage = "https:/git.jolheiser.com/nixfig";
        maintainers = with maintainers; [jolheiser];
        mainProgram = "nixgen";
      };
    };
  in {
    packages.${system}.default = nixgen;
    devShells.${system}.default = pkgs.mkShell {
      nativeBuildInputs = with pkgs; [
        go
        gopls
      ];
    };
  };
}
